Debian Bug report logs - #539687
libogg-dev: Removal of .la should have been coordinated with other packages

version graph

Package: libogg-dev; Maintainer for libogg-dev is Ron Lee <ron@debian.org>; Source for libogg-dev is src:libogg.

Reported by: Elimar Riesebieter <riesebie@lxtec.de>

Date: Sun, 2 Aug 2009 22:42:02 UTC

Severity: serious

Found in version libogg/1.1.4~dfsg-1

Done: Ron <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#539687; Package libogg-dev. (Sun, 02 Aug 2009 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. (Sun, 02 Aug 2009 22:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libogg-dev: Removal of .la should have been coordinated with other packages
Date: Sun, 02 Aug 2009 23:35:35 +0100
Package: libogg-dev
Version: 1.1.4~dfsg-1
Severity: important

Hello,

The removal of the libogg.la is problematic because at least libtheora-dev, libshout3-dev, libflac-dev and libvorbis-dev distribute .la which depends on libogg.la .

So packages using libtool to build and depending of one of these libs will fail to build.


I'm not sure what's the correct way forward:
  * Remove the .la from these packages
  * rebuild them so that their .la don't reference libogg.la
  * ...

Kind regards,

-- 
Xtophe


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libogg-dev depends on:
ii  libogg0                     1.1.4~dfsg-1 Ogg bitstream library

libogg-dev recommends no packages.

libogg-dev suggests no packages.

-- no debconf information




Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Mon, 03 Aug 2009 05:06:03 GMT) Full text and rfc822 format available.

Notification sent to Christophe Mutricy <xtophe@chewa.net>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 05:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 539687-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Christophe Mutricy <xtophe@chewa.net>, 539687-done@bugs.debian.org
Cc: John Ferlito <johnf@inodes.org>
Subject: Re: Bug#539687: libogg-dev: Removal of .la should have been coordinated with other packages
Date: Mon, 3 Aug 2009 14:00:14 +0930
Hi Christophe,

On Sun, Aug 02, 2009 at 11:35:35PM +0100, Christophe Mutricy wrote:
> The removal of the libogg.la is problematic because at least libtheora-dev,
> libshout3-dev, libflac-dev and libvorbis-dev distribute .la which depends on
> libogg.la .

Part of the problem with attempting to coordinate this in advance is precisely
that most of those packages are effectively unmaintained at present.  That's
how I ended up with this package, and why I figured I'd just do it, and deal
with the fallout, if any, as it arose.  It shouldn't take long to fix one
way or the other.

> So packages using libtool to build and depending of one of these libs will fail to build.
> 
> I'm not sure what's the correct way forward:
>   * Remove the .la from these packages

That would be the optimal solution for debian, yes.

>   * rebuild them so that their .la don't reference libogg.la

Alternatively, a binNMU of the affected deps should also fix this, if new
uploads for them aren't otherwise planned.

Please reassign this bug to the affected packages, as that's where it should
be fixed now, I don't think this is a 'bug' that we should try to fix in
libogg at this stage.

I've cc'd John Ferlito, who should be adopting a bunch of the above soon.
If there are any that won't be uploaded shortly, then we should indeed
request binNMUs of them in the interim.

Cheers,
Ron






Changed Bug submitter to 'Elimar Riesebieter <riesebie@lxtec.de>' from 'Christophe Mutricy <xtophe@chewa.net>' Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Fri, 07 Aug 2009 16:51:05 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Aug 2009 16:51:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Fri, 07 Aug 2009 16:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#539687; Package libogg-dev. (Sat, 08 Aug 2009 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <smr@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 08 Aug 2009 21:03:07 GMT) Full text and rfc822 format available.

Message #21 received at 539687@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <smr@debian.org>
To: Debian Bug Tracking System <539687@bugs.debian.org>
Subject: Please restore .la at least temporarily
Date: Sat, 08 Aug 2009 15:59:57 -0500
Package: libogg-dev
Version: 1.1.4~dfsg-1
Severity: normal

Hi,

The removal leaves me unable to build one of my packages (simage) that
build-depends on libsndfile1-dev, among others.

Please consider restoring the .la file until dependent packages have
dropped it.

Thanks,
-Steve

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libogg-dev depends on:
ii  libogg0                     1.1.4~dfsg-1 Ogg bitstream library

libogg-dev recommends no packages.

libogg-dev suggests no packages.

-- no debconf information




Reply sent to Ron <ron@debian.org>:
You have taken responsibility. (Sat, 08 Aug 2009 23:39:13 GMT) Full text and rfc822 format available.

Notification sent to Elimar Riesebieter <riesebie@lxtec.de>:
Bug acknowledged by developer. (Sat, 08 Aug 2009 23:39:13 GMT) Full text and rfc822 format available.

Message #26 received at 539687-done@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: "Steve M. Robbins" <smr@debian.org>, 539687-done@bugs.debian.org
Subject: Re: Bug#539687: Please restore .la at least temporarily
Date: Sun, 9 Aug 2009 09:06:45 +0930
Hi Steve,

Sorry for not handling this more elegantly, but it should be trivial to
fix without flipping about halfway through now.  Please bring any packages
you are aware of that are still affected by this to the attention of the
release team and request binNMUs of them.  Some of them are being adopted
by other people and should be fixed when those uploads are done, and a
good number of them have already been binNMUed.  I'm not aware of the
libsndfile package already being scheduled for that, but that should still
be quicker for you than me churning another modified package though.  The
other packages don't need to be modified immediately, they just need to be
rebuilt against current libogg to drop their dependency on its .la

  Ron


On Sat, Aug 08, 2009 at 03:59:57PM -0500, Steve M. Robbins wrote:
> Package: libogg-dev
> Version: 1.1.4~dfsg-1
> Severity: normal
> 
> Hi,
> 
> The removal leaves me unable to build one of my packages (simage) that
> build-depends on libsndfile1-dev, among others.
> 
> Please consider restoring the .la file until dependent packages have
> dropped it.
> 
> Thanks,
> -Steve
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages libogg-dev depends on:
> ii  libogg0                     1.1.4~dfsg-1 Ogg bitstream library
> 
> libogg-dev recommends no packages.
> 
> libogg-dev suggests no packages.
> 
> -- no debconf information
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 11:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 09 Aug 2009 11:06:05 GMT) Full text and rfc822 format available.

Message #31 received at 539687@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 539687@bugs.debian.org
Cc: Ron <ron@debian.org>
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Sun, 09 Aug 2009 13:04:36 +0200
Debian Bug Tracking System wrote:
> Your message dated Sun, 9 Aug 2009 09:06:45 +0930
> with message-id <20090808233645.GA1447@audi.shelbyville.oz>
> and subject line Re: Bug#539687: Please restore .la at least temporarily
> has caused the Debian Bug report #539687,
> regarding libogg-dev: Removal of .la should have been coordinated with other packages
> to be marked as done.
> 
> This means that you claim that the problem has been dealt with.
> If this is not the case it is now your responsibility to reopen the
> Bug report if necessary, and/or fix the problem forthwith.
> 
> (NB: If you are a system administrator and have no idea what this
> message is talking about, this may indicate a serious mail system
> misconfiguration somewhere. Please contact owner@bugs.debian.org
> immediately.)
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> Subject:
> libogg-dev: Removal of .la should have been coordinated with other packages
> From:
> Christophe Mutricy <xtophe@chewa.net>
> Date:
> Sun, 02 Aug 2009 23:35:35 +0100
> To:
> Debian Bug Tracking System <submit@bugs.debian.org>
> 
> To:
> Debian Bug Tracking System <submit@bugs.debian.org>
> 
> 
> Package: libogg-dev
> Version: 1.1.4~dfsg-1
> Severity: important
> 
> Hello,
> 
> The removal of the libogg.la is problematic because at least libtheora-dev, libshout3-dev, libflac-dev and libvorbis-dev distribute .la which depends on libogg.la .
> 
> So packages using libtool to build and depending of one of these libs will fail to build.
> 
> 
> I'm not sure what's the correct way forward:
>   * Remove the .la from these packages
>   * rebuild them so that their .la don't reference libogg.la
>   * ...
> 
> Kind regards,
> 
> 
> 
> ------------------------------------------------------------------------
> 
> Subject:
> Re: Bug#539687: Please restore .la at least temporarily
> From:
> Ron <ron@debian.org>
> Date:
> Sun, 9 Aug 2009 09:06:45 +0930
> To:
> "Steve M. Robbins" <smr@debian.org>, 539687-done@bugs.debian.org
> 
> To:
> "Steve M. Robbins" <smr@debian.org>, 539687-done@bugs.debian.org
> 
> 
> Hi Steve,
> 
> Sorry for not handling this more elegantly, but it should be trivial to
> fix without flipping about halfway through now.  Please bring any packages
> you are aware of that are still affected by this to the attention of the
> release team and request binNMUs of them.  Some of them are being adopted
> by other people and should be fixed when those uploads are done, and a
> good number of them have already been binNMUed.  I'm not aware of the
> libsndfile package already being scheduled for that, but that should still
> be quicker for you than me churning another modified package though.  The
> other packages don't need to be modified immediately, they just need to be
> rebuilt against current libogg to drop their dependency on its .la

Hmm, you do know that it's your job to hand that list (including all the
reverse deps of reverse deps ...) to the release team including the
necessary dep waits so we don't have to reschedule them till all succeeded?

There is a reason we advise to only remove a .la file once it's (almost)
not used anymore...

Cheers

Luk




Information stored :
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 14:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 Aug 2009 14:24:07 GMT) Full text and rfc822 format available.

Message #36 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 539687-quiet@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Sun, 9 Aug 2009 23:52:47 +0930
On Sun, Aug 09, 2009 at 01:04:36PM +0200, Luk Claes wrote:
> Hmm, you do know that it's your job to hand that list (including all the
> reverse deps of reverse deps ...) to the release team including the
> necessary dep waits so we don't have to reschedule them till all succeeded?

Well, to be frankly honest, I don't actually _want_ you guys to blindly
schedule blanket binNMUs for the lot of these.  I'd much rather that it
shook out all the packages that were as neglected as this was when I had
adopting it thrust upon me unexpectedly, and that the relevant maintainers
either take some action themselves to remedy things, or that it becomes
clear that they are also abandoned and other project members will be free
to act on that as they may care to.

As a first round, I'd really prefer that the only binNMUs come as requests
from the maintainers of those packages, who _know_ they are in good order,
and don't care to immediately remove their own .la files, and that a simple
rebuild will in fact suffice for them for now.

If we take a cursory look at this lot, surprise, surprise, we see that
libsndfile already has its own RC bug, open since March, and a bug
requesting that its own .la be fixed or removed, since it's broken and
dragging in unneeded dependencies.

And libarts1c2a has its own grave bug, also open since March, with no
response whatsoever from its maintainers.

So no, I wouldn't recommend that those packages be binNMUed, I'd suggest
their maintainers either fix them, be replaced by maintainers that will,
or orphan them honourably and drop them in the QA pile.  YMMV, and that's
your call with an RM hat on.


> There is a reason we advise to only remove a .la file once it's (almost)
> not used anymore...

Actually, vorlon suggested an even better way, that I wasn't aware of
when I initially decided this, and that I probably will use for the
next one I drop that has a lot of rdeps with maintainers that it would
be impossible to coordinate a transition with.  But as hindsight on
this particular case is clarifying, it seems like this has quite a good
chance of being a Good Thing for the quality and preparedness of squeeze
for release, iff we don't just blindly mask the problems it identifies
with a series of blanket, quick-fix, binNMUs.

But that bit's your job to decide.  My original plan was to look at what
stragglers might remain after the package maintainers had their own chance
to do new uploads.  I know that at least all of the former pkg-xiph lot
are currently in the process of being adopted by new maintainers.
It seemed silly to race against them with binNMUs when all indications
were that they'd be uploading new packages very shortly too.

Sorry if I ham-fisted things in a way that made your job harder, but I
decided this with good faith intentions for improving the quality of
the squeeze release, and so far I'm not really seeing any signs that
it is failing at that, despite some temporary pain in unstable for a
few things, and perhaps some now-scheduled binNMUs that should in fact
not be binNMUed at all ...

If you have other suggestions, I'll be happy to take them on-board for
the next time I have to decide things that affect your team's work.

Cheers,
Ron






Information stored :
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 Aug 2009 16:33:09 GMT) Full text and rfc822 format available.

Message #41 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Ron <ron@debian.org>, 539687-quiet@bugs.debian.org
Cc: debian-release@lists.debian.org, arts@packages.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Sun, 09 Aug 2009 18:26:32 +0200
Ron wrote:
> On Sun, Aug 09, 2009 at 01:04:36PM +0200, Luk Claes wrote:
>> Hmm, you do know that it's your job to hand that list (including all the
>> reverse deps of reverse deps ...) to the release team including the
>> necessary dep waits so we don't have to reschedule them till all succeeded?
> 
> Well, to be frankly honest, I don't actually _want_ you guys to blindly
> schedule blanket binNMUs for the lot of these.  I'd much rather that it
> shook out all the packages that were as neglected as this was when I had
> adopting it thrust upon me unexpectedly, and that the relevant maintainers
> either take some action themselves to remedy things, or that it becomes
> clear that they are also abandoned and other project members will be free
> to act on that as they may care to.

That might be a nice goal though it also affects libraries which makes
packages uninstallable which prevents unrelated RC bug fixing and
transitions...

> As a first round, I'd really prefer that the only binNMUs come as requests
> from the maintainers of those packages, who _know_ they are in good order,
> and don't care to immediately remove their own .la files, and that a simple
> rebuild will in fact suffice for them for now.
> 
> If we take a cursory look at this lot, surprise, surprise, we see that
> libsndfile already has its own RC bug, open since March, and a bug
> requesting that its own .la be fixed or removed, since it's broken and
> dragging in unneeded dependencies.

I suggest contacting the MIA Team or the QA Team (for bapase action on
libsndfile).

> And libarts1c2a has its own grave bug, also open since March, with no
> response whatsoever from its maintainers.

Strange, I thought the maintainers would be more responsive, lets put
them in Cc.

> So no, I wouldn't recommend that those packages be binNMUed, I'd suggest
> their maintainers either fix them, be replaced by maintainers that will,
> or orphan them honourably and drop them in the QA pile.  YMMV, and that's
> your call with an RM hat on.

Did you contact the maintainers announcing you would drop the .la file?
If so, then one could indeed argue that the maintainers should know what
is happening. Though now it looks like the maintainers are not aware and
most probably think there is an issue with libogg AFAICS.

>> There is a reason we advise to only remove a .la file once it's (almost)
>> not used anymore...
> 
> Actually, vorlon suggested an even better way, that I wasn't aware of
> when I initially decided this, and that I probably will use for the
> next one I drop that has a lot of rdeps with maintainers that it would
> be impossible to coordinate a transition with.  But as hindsight on
> this particular case is clarifying, it seems like this has quite a good
> chance of being a Good Thing for the quality and preparedness of squeeze
> for release, iff we don't just blindly mask the problems it identifies
> with a series of blanket, quick-fix, binNMUs.

While your goal is admirable, I would use a different way of achieving
it that is not so disruptive in unstable.

> But that bit's your job to decide.  My original plan was to look at what
> stragglers might remain after the package maintainers had their own chance
> to do new uploads.  I know that at least all of the former pkg-xiph lot
> are currently in the process of being adopted by new maintainers.
> It seemed silly to race against them with binNMUs when all indications
> were that they'd be uploading new packages very shortly too.

Sure, if you know of packages that would get a regular upload anyway,
then they don't need to be binNMUed.

> Sorry if I ham-fisted things in a way that made your job harder, but I
> decided this with good faith intentions for improving the quality of
> the squeeze release, and so far I'm not really seeing any signs that
> it is failing at that, despite some temporary pain in unstable for a
> few things, and perhaps some now-scheduled binNMUs that should in fact
> not be binNMUed at all ...

I don't fully agree, but ok.

> If you have other suggestions, I'll be happy to take them on-board for
> the next time I have to decide things that affect your team's work.

Contacting the maintainers (and the debian-release list) would have been
helpful, I'm not sure if you did that. I would also contact the QA Team
if you know of packages that are not well maintained (so they can start
bapase for these packages) or contact the MIA Team if you know of
maintainers that seem to be missing.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 18:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 09 Aug 2009 18:48:08 GMT) Full text and rfc822 format available.

Message #46 received at 539687@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 539687@bugs.debian.org
Cc: Fabian Greffrath <fabian@debian-unofficial.org>
Subject: Re: Bug#539687 closed by Ron <ron@debian.org> (Re: Bug#539687: Please restore .la at least temporarily)
Date: Sun, 9 Aug 2009 20:44:54 +0200
* Debian Bug Tracking System [090808 23:39 +0000]
> 
> This is an automatic notification regarding your Bug report
> which was filed against the libogg-dev package:
> 
> #539687: libogg-dev: Removal of .la should have been coordinated with other packages
> 
> It has been closed by Ron <ron@debian.org>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ron <ron@debian.org> by
> replying to this email.
> 
> 
> -- 
> 539687: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=539687
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems

> Subject: Re: Bug#539687: Please restore .la at least temporarily
> From: Ron <ron@debian.org>
> To: "Steve M. Robbins" <smr@debian.org>, 539687-done@bugs.debian.org
> Date: Sun, 9 Aug 2009 09:06:45 +0930
> User-Agent: Mutt/1.5.20 (2009-06-14)
> Message-ID: <20090808233645.GA1447@audi.shelbyville.oz>
> X-Virus-Scanned: Debian amavisd-new at audi.shelbyville.oz
> X-Spam-Status: No, score=-8.5 required=4.0 tests=AWL,BAYES_00,FOURLA,
> 	FROMDEVELOPER,HAS_BUG_NUMBER,RDNS_DYNAMIC autolearn=ham
> 	version=3.2.3-bugs.debian.org_2005_01_02
> 
> 
> Hi Steve,
> 
> Sorry for not handling this more elegantly, but it should be trivial to
> fix without flipping about halfway through now.  Please bring any packages
> you are aware of that are still affected by this to the attention of the
> release team and request binNMUs of them.  Some of them are being adopted
> by other people and should be fixed when those uploads are done, and a
> good number of them have already been binNMUed.  I'm not aware of the
> libsndfile package already being scheduled for that, but that should still
> be quicker for you than me churning another modified package though.  The
> other packages don't need to be modified immediately, they just need to be
> rebuilt against current libogg to drop their dependency on its .la

Please initialize a binNMU for flac as well.

Elimar

-- 
  Numeric stability is probably not all that 
  important when you're guessing;-)




Information stored :
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 Aug 2009 18:51:05 GMT) Full text and rfc822 format available.

Message #51 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 539687-quiet@bugs.debian.org, debian-release@lists.debian.org, Erik de Castro Lopo <erikd@mega-nerd.com>
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 04:18:30 +0930
On Sun, Aug 09, 2009 at 06:26:32PM +0200, Luk Claes wrote:
> Ron wrote:
> > Well, to be frankly honest, I don't actually _want_ you guys to blindly
> > schedule blanket binNMUs for the lot of these.  I'd much rather that it
> > shook out all the packages that were as neglected as this was when I had
> > adopting it thrust upon me unexpectedly, and that the relevant maintainers
> > either take some action themselves to remedy things, or that it becomes
> > clear that they are also abandoned and other project members will be free
> > to act on that as they may care to.
> 
> That might be a nice goal though it also affects libraries which makes
> packages uninstallable which prevents unrelated RC bug fixing and
> transitions...

Yeah, I do understand how quickly this can all snarl into horrible tangle,
but I figured we can sort that out with selective binNMUs as trouble is
apparent, and it is much harder to coordinate or predict this, since the
situation potentially changes much faster than any prior assessment can
determine the present state to be.

Any rdeps that are already RC buggy are already a spanner in that works
and they are the ones that I figured will be the most trouble anyhow.

> > If we take a cursory look at this lot, surprise, surprise, we see that
> > libsndfile already has its own RC bug, open since March, and a bug
> > requesting that its own .la be fixed or removed, since it's broken and
> > dragging in unneeded dependencies.
> 
> I suggest contacting the MIA Team or the QA Team (for bapase action on
> libsndfile).

At least upstream seems active on that one.  And the maintainer was around
to respond to #518037 in March, even if their response wasn't entirely
satisfactory and upstream themselves asked to reopen it :/  So he's not
entirely MIA ...  OTOH, Erik, the upstream maintainer, does seem to be
maintaining some other packages, so perhaps we should give him a thumbs
up to hijack this one and look after it himself.

Added to the CC also.  Erik, how do you feel about that ;?

> Did you contact the maintainers announcing you would drop the .la file?
> If so, then one could indeed argue that the maintainers should know what
> is happening. Though now it looks like the maintainers are not aware and
> most probably think there is an issue with libogg AFAICS.

Not all of them.  There was mail traded with John Ferlito, who should be
adopting libtheora, libvorbis, libspiff, vorbis-tools, uriparser, libao,
so I considered those covered, likewise the other xiph codecs I maintain
which already have their .la removed.

Previous attempts to communicate with the pkg-multimedia folks over their
use of celt while it remains an experimental codec (without even a stable
bitstream format yet) had fallen into a black hole and got no response,
so I didn't bother with them again just yet.

If people think the problem is with libogg, that should work out ok, as
they they should then contact me, or see this report, and I can talk them
through it from there, like I have with a couple of folks already.
Arguably not the optimal, or most elegant solution, but it should be a
relatively efficient way to sort the easy set, that people are paying
attention to and using, from the hard pile, which I'm keeping an eye on
and had planned to follow up on once the "early adopters" had shaken out.


> Contacting the maintainers (and the debian-release list) would have been
> helpful, I'm not sure if you did that. I would also contact the QA Team
> if you know of packages that are not well maintained (so they can start
> bapase for these packages) or contact the MIA Team if you know of
> maintainers that seem to be missing.

Yeah, I probably should have pinged -release earlier, though I did chat
briefly with vorlon on #d-d, when his eyebrows went up about it.  I'm
still not fully aware of who will or will not be a problem with this,
in the sense of MIA et al. but I am hoping this will help answer that
for us, and that any packages that are really worth keeping will find
themselves with active maintainers again by the time we are done.

Thanks,
Ron






Information stored :
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 Aug 2009 19:09:03 GMT) Full text and rfc822 format available.

Message #56 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Elimar Riesebieter <riesebie@lxtec.de>, 539687-quiet@bugs.debian.org
Cc: Fabian Greffrath <fabian@debian-unofficial.org>
Subject: Re: Bug#539687: updating flac for removal of the libogg.la
Date: Mon, 10 Aug 2009 04:33:10 +0930
On Sun, Aug 09, 2009 at 08:44:54PM +0200, Elimar Riesebieter wrote:
> 
> Please initialize a binNMU for flac as well.

Are you sure you don't want to do a new upload to fix the translation bug
reported in #509619, (and perhaps to remove the .la file from this package
also)?

If you don't, please forward this request to the release team, but it seems
like a good opportunity to close some simple bugs at the same time instead.

Cheers,
Ron






Information stored :
Bug#539687; Package libogg-dev. (Sun, 09 Aug 2009 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 Aug 2009 22:57:07 GMT) Full text and rfc822 format available.

Message #61 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Luk Claes <luk@debian.org>
Cc: Ron <ron@debian.org>, 539687-quiet@bugs.debian.org, debian-release@lists.debian.org, arts@packages.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 00:52:35 +0200
On Sun, Aug 09, 2009 at 06:26:32PM +0200, Luk Claes wrote:
> Ron wrote:
> > And libarts1c2a has its own grave bug, also open since March, with no
> > response whatsoever from its maintainers.
> 
> Strange, I thought the maintainers would be more responsive, lets put
> them in Cc.
>

Arts is dead (*), and the plan is not release it in squeeze. But removing it 
requires some time: build kdelibs without arts, this implies removing some 
libraries, then take care of the packages depending in kdelibs+arts, etc.

Ana
(*) no because KDE 4, it has been upstream dead for years....




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 06:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 06:36:06 GMT) Full text and rfc822 format available.

Message #66 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Ron <ron@debian.org>
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: updating flac for removal of the libogg.la
Date: Mon, 10 Aug 2009 08:34:27 +0200
Ron schrieb:
> Are you sure you don't want to do a new upload to fix the translation bug
> reported in #509619, (and perhaps to remove the .la file from this package
> also)?

What influence do I have on the package description translations?

Fabian




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 07:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 07:39:17 GMT) Full text and rfc822 format available.

Message #71 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ron <ron@debian.org>
Cc: Luk Claes <luk@debian.org>, 539687-quiet@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 17:37:12 +1000
Ron wrote:

> At least upstream seems active on that one.  And the maintainer was around
> to respond to #518037 in March, even if their response wasn't entirely
> satisfactory and upstream themselves asked to reopen it :/  So he's not
> entirely MIA ...  OTOH, Erik, the upstream maintainer, does seem to be
> maintaining some other packages, so perhaps we should give him a thumbs
> up to hijack this one and look after it himself.
> 
> Added to the CC also.  Erik, how do you feel about that ;?

Sorry, what question is it that I'm  supposed to be answering here?

Yes, I am a DM, but I am not a DD. Most of my debian work has been
around the Haskell programming language. I've been pretty happy
with the way libsndfile has been maintained, but if it was to be
orphaned, I'd be happy to adopt it.

AFAICS, libsndfile is currently maintained.

> > Did you contact the maintainers announcing you would drop the .la file?
> > If so, then one could indeed argue that the maintainers should know what
> > is happening. Though now it looks like the maintainers are not aware and
> > most probably think there is an issue with libogg AFAICS.
> 
> Not all of them.  There was mail traded with John Ferlito, who should be
> adopting libtheora, libvorbis, libspiff, vorbis-tools, uriparser, libao,
> so I considered those covered, likewise the other xiph codecs I maintain
> which already have their .la removed.

I'm think I'm coming in rather late on this, but why were these .la
files removed? I've read through bug#539687 and its still not clear.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 08:33:08 GMT) Full text and rfc822 format available.

Message #76 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 17:41:30 +0930
On Mon, Aug 10, 2009 at 05:37:12PM +1000, Erik de Castro Lopo wrote:
> Ron wrote:
> 
> > At least upstream seems active on that one.  And the maintainer was around
> > to respond to #518037 in March, even if their response wasn't entirely
> > satisfactory and upstream themselves asked to reopen it :/  So he's not
> > entirely MIA ...  OTOH, Erik, the upstream maintainer, does seem to be
> > maintaining some other packages, so perhaps we should give him a thumbs
> > up to hijack this one and look after it himself.
> > 
> > Added to the CC also.  Erik, how do you feel about that ;?
> 
> Sorry, what question is it that I'm  supposed to be answering here?

My apologies then, Luk was querying if the regular maintainer was MIA,
if you don't think so, that's pretty much all the answer we need on that.
#518037 is release critical though, and remains open still.  Is there a
suitable fix for that in the works?

> Yes, I am a DM, but I am not a DD. Most of my debian work has been
> around the Haskell programming language. I've been pretty happy
> with the way libsndfile has been maintained, but if it was to be
> orphaned, I'd be happy to adopt it.
> 
> AFAICS, libsndfile is currently maintained.
> 
> > > Did you contact the maintainers announcing you would drop the .la file?
> > > If so, then one could indeed argue that the maintainers should know what
> > > is happening. Though now it looks like the maintainers are not aware and
> > > most probably think there is an issue with libogg AFAICS.
> > 
> > Not all of them.  There was mail traded with John Ferlito, who should be
> > adopting libtheora, libvorbis, libspiff, vorbis-tools, uriparser, libao,
> > so I considered those covered, likewise the other xiph codecs I maintain
> > which already have their .la removed.
> 
> I'm think I'm coming in rather late on this, but why were these .la
> files removed? I've read through bug#539687 and its still not clear.

On Debian systems they add nothing but another point of failure.
At best, if they are perfectly correct, they are exactly equivalent
to not having one at all, in almost every case and certainly for
this library.  At worst, when they are wrong, the effects range from
what was reported in #539889, to what has happened here until all
the rdeps have been rebuilt again.

Basically all we really need to know from you or Samuel is will this
package be uploaded in the near future, preferably with a fix to the
outstanding RC bug, or should it be added to the list of packages
that will just get a binNMU.

  Ron






Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 08:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 08:45:07 GMT) Full text and rfc822 format available.

Message #81 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ron <ron@debian.org>
Cc: 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 18:37:11 +1000
Ron wrote:

> My apologies then, Luk was querying if the regular maintainer was MIA,
> if you don't think so, that's pretty much all the answer we need on that.
> #518037 is release critical though, and remains open still.  Is there a
> suitable fix for that in the works?

That one is basically down to me. I have found someone on the debian-mips
list that is willing to give me access to a MIPS machine. Unfortunately,
I've been busy and not had a chance to start work on it. I hope that
will change over the next couple of weeks.

> On Debian systems they add nothing but another point of failure.
> At best, if they are perfectly correct, they are exactly equivalent
> to not having one at all, in almost every case and certainly for
> this library.

Well, until libogg.la was removed all evidence I am aware of pointed
to them as being in perfect working order.

>  At worst, when they are wrong, the effects range from
> what was reported in #539889,

That was an aesthetic bug at best. 

> to what has happened here until all
> the rdeps have been rebuilt again.

For this one libsndfile was working and a change in libogg broke it.
Futhermore, the use of the .la file is the default mode of operation for
autoconf/automake/libtool that libsndfile uses for configuration. it
was not brought about by some custom hack.

> Basically all we really need to know from you or Samuel is will this
> package be uploaded in the near future, preferably with a fix to the
> outstanding RC bug, or should it be added to the list of packages
> that will just get a binNMU.

Thats Samuel's call, but if it was up to me, I would say that whoever
broke libsndfile by removing libogg.la should be doing a binNMU.

Regards,
Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 14:48:05 GMT) Full text and rfc822 format available.

Message #86 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: Ron <ron@debian.org>, Luk Claes <luk@debian.org>, 539687-quiet@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Mon, 10 Aug 2009 09:47:01 -0500
[Erik de Castro Lopo]
> I'm think I'm coming in rather late on this, but why were these .la
> files removed? I've read through bug#539687 and its still not clear.

I can't speak for Ron, but in general, the reason to remove .la files
is that pkg-config (and the .pc files in /usr/lib/pkgconfig) offers the
same functionality, and more, with considerably less brokenness.  We'd
like to encourage upstreams to ship .pc files and use pkg-config in
their configure.ac scripts as the primary means of detecting the
presence of other libraries and how to use them.
-- 
Peter Samuelson | org-tld!p12n!peter | http://p12n.org/




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 22:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 22:06:09 GMT) Full text and rfc822 format available.

Message #91 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Peter Samuelson <peter@p12n.org>
Cc: Ron <ron@debian.org>, Luk Claes <luk@debian.org>, 539687-quiet@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Tue, 11 Aug 2009 08:05:00 +1000
Peter Samuelson wrote:

> [Erik de Castro Lopo]
> > I'm think I'm coming in rather late on this, but why were these .la
> > files removed? I've read through bug#539687 and its still not clear.
> 
> I can't speak for Ron,

Thanks Peter, you'll do.

> but in general, the reason to remove .la files
> is that pkg-config (and the .pc files in /usr/lib/pkgconfig) offers the
> same functionality, and more, with considerably less brokenness.

I'm a big fan of pkg-config. Its a good solution to the problem.

>  We'd
> like to encourage upstreams to ship .pc files and use pkg-config in
> their configure.ac scripts as the primary means of detecting the
> presence of other libraries and how to use them.

And libsndfile has been using pkg-config for detecting all the libraries
it uses for at least three years.

The problem is that using the default pkg-config/autoconf/automake/libtool
behaviour to detect libxyz that ships libxyz.la file will create a
(probably unnecessary) dependency on that libxyz.la file.

I know this is 20/20 hindsight, but this could have been handled much
better by raising bugs against and fixing all the client libraries
*before* removing the libogg.la. It would probably also be a good idea
to discourage the shipping .la files in the debian policy manual and
adding it as a lintian warning.

Cheers,
Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information stored :
Bug#539687; Package libogg-dev. (Mon, 10 Aug 2009 23:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 10 Aug 2009 23:39:12 GMT) Full text and rfc822 format available.

Message #96 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: Peter Samuelson <peter@p12n.org>, 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Tue, 11 Aug 2009 09:06:41 +0930
On Tue, Aug 11, 2009 at 08:05:00AM +1000, Erik de Castro Lopo wrote:
> Peter Samuelson wrote:
> 
> > [Erik de Castro Lopo]
> > > I'm think I'm coming in rather late on this, but why were these .la
> > > files removed? I've read through bug#539687 and its still not clear.
> > 
> > I can't speak for Ron,

Sorry Peter, I trimmed the cc list on my reply to Erik about this,
I figured that nobody on -release actually needed this explained
to them and it would just be noise there.

> > but in general, the reason to remove .la files
> > is that pkg-config (and the .pc files in /usr/lib/pkgconfig) offers the
> > same functionality, and more, with considerably less brokenness.
> 
> I'm a big fan of pkg-config. Its a good solution to the problem.

Just to be clear, this has nothing to do with pkg-config at all.
Using pkg-config isn't an "alternate solution" to "the problem",
since there is no problem that the .la are solving for us here.

I could remove the .pc files for this lib too, and it would still
be perfectly functional, but that could be genuinely disruptive
and may require some people to edit their source, so I'm not
currently planning that.  Even if I do think it's a gross overkill
for this particular package to be using it in the first place.

> >  We'd
> > like to encourage upstreams to ship .pc files and use pkg-config in
> > their configure.ac scripts as the primary means of detecting the
> > presence of other libraries and how to use them.
> 
> And libsndfile has been using pkg-config for detecting all the libraries
> it uses for at least three years.

On any system with a functional linker and properly installed libraries
(ie. every Debian system), ALL you need for this library is '-logg'.
That's it.  If you want to use Big Hammer infrastructure, designed for
horrors like gtk dependencies, and a more complex incantation to get
that, then that's your choice.  But you don't _need_ any of those things
to use this library.

> The problem is that using the default pkg-config/autoconf/automake/libtool
> behaviour to detect libxyz that ships libxyz.la file will create a
> (probably unnecessary) dependency on that libxyz.la file.

Definitely unnecessary, and its only libtool doing that.  It will however
also work perfectly fine if it doesn't find a libxyz.la -- it's only when
it _does_ find one that the problems begin.

> I know this is 20/20 hindsight, but this could have been handled much
> better by raising bugs against and fixing all the client libraries
> *before* removing the libogg.la.

Given that a good proportion of them seem to be abandoned/unmaintained
at present, that wasn't going to work very well at all.  This however
is going to shake those out relatively quickly and hopefully we can
correct that for a while again.

Sorry if we erred on the side of including your package in that group
but looking through some of the bug reports did give the impression
that you were much more active on it than its listed maintainer, and
that patches and suggestions from you and others weren't being acted
on, in a timely manner or at all.

It's also not entirely necessary for all client libraries to have their
own .la files removed, however much we may recommend this, and there
may even be some extremely rare case where it is actually needed for
one of them.  As a minimal fix, they just need to be rebuilt with no
libogg.la present -- and that can't really be done _before_ libogg.la
is removed.

> It would probably also be a good idea
> to discourage the shipping .la files in the debian policy manual and
> adding it as a lintian warning.

I'd agree with that.  I don't know why it's never been done, this has
been "common knowledge" among a lot of people for a very long time now
(ie. since before the turn of the century).  But that said, I don't
see a particular urgency in forcing people to do this, and indeed I've
no intention of forcing you to remove yours if you don't want to.  But
I would recommend that you do, and I'm removing them from any packages
that I maintain, so that when they do cause problems, they are someone
else's problem, not mine.

I'm accepting responsibility for coordinating this transition, since
that is of my doing, but that's a one-off, not something that is going
to come out of nowhere and bite me later.

 Ron






Information stored :
Bug#539687; Package libogg-dev. (Tue, 11 Aug 2009 00:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and filed, but not forwarded. (Tue, 11 Aug 2009 00:12:06 GMT) Full text and rfc822 format available.

Message #101 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ron <ron@debian.org>
Cc: Peter Samuelson <peter@p12n.org>, 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Tue, 11 Aug 2009 10:08:58 +1000
Ron wrote:

> Just to be clear, this has nothing to do with pkg-config at all.
> Using pkg-config isn't an "alternate solution" to "the problem",
> since there is no problem that the .la are solving for us here.
> 
> I could remove the .pc files for this lib too, and it would still
> be perfectly functional, but that could be genuinely disruptive
> and may require some people to edit their source, so I'm not
> currently planning that.  Even if I do think it's a gross overkill
> for this particular package to be using it in the first place.

I think your view is way too narrow.

I'm a developer. As well as hacking on libsndfile, I also hack on
libogg and libvorbis (I have SVN commit access). While hacking on
these I often install the current SVN versions in my home directory,
and then test other packages compiling against my home dir versions.

With pkg-config the above scenario works perfectly and I don't have
to un-install the Debian versions (and all the programs that depend
on them). Most importantly I don't have to hack my configure.ac
just to test an alternate version of the library. The pkg-config
solution also works really well for cross compiling:

    http://www.mega-nerd.com/erikd/Blog/CodeHacking/MinGWCross/pkg-config.html
    http://www.mega-nerd.com/erikd/Blog/CodeHacking/MinGWCross/cross_compiling.html
    http://www.mega-nerd.com/erikd/Blog/CodeHacking/MinGWCross/cross_compiling_2.html

I should mention here that I release pre-compiled win32 and win64
binaries for libsndfile on my web site. These binaries (including
support for Ogg/Vorbis and FLAC) are cross-compiled from a Debian
system and the test suite for the win32 version is run under Wine
(which does not yet support win64 binaries).

I released the first version of libsndfile in 1998 targeted mainly
at Linux systems (it now runs on just aboue everything). I've seen a
lot of change and I can tell you that no solution to the above
problems has ever worked as well as pkg-config.

Just because *you* don't see a use for pkg-config doesn't mean that
it isn't valuable to anyone else.

> On any system with a functional linker and properly installed libraries
> (ie. every Debian system), ALL you need for this library is '-logg'.
> That's it.

That is true if and only if you are targeting Debian at end users.
I chose Debian because it was a good development system. I need to
be able to point my compiles at other versions of libogg with
minimal fuss and bother. pkg-config lets me (and many others) do
that.

> If you want to use Big Hammer infrastructure, designed for
> horrors like gtk dependencies, and a more complex incantation to get
> that, then that's your choice.  But you don't _need_ any of those things
> to use this library.

So how do you suggest I test more recent versions of libogg or libvorbis?
How do you suggest I cross compile for windows or even for arm-linux.

Regards,
Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information stored :
Bug#539687; Package libogg-dev. (Wed, 12 Aug 2009 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 12 Aug 2009 00:27:04 GMT) Full text and rfc822 format available.

Message #106 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 539687-quiet@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#539687: marked as done (libogg-dev: Removal of .la should have been coordinated with other packages)
Date: Wed, 12 Aug 2009 02:21:29 +0200
[Message part 1 (text/plain, inline)]
Le mardi 11 août 2009 à 08:05 +1000, Erik de Castro Lopo a écrit :
> I know this is 20/20 hindsight, but this could have been handled much
> better by raising bugs against and fixing all the client libraries
> *before* removing the libogg.la. It would probably also be a good idea
> to discourage the shipping .la files in the debian policy manual and
> adding it as a lintian warning.

I’d be all for a lintian warning for packages shipping a .la with a
non-empty dependency_libs field. However, adding a warning asking to
remove all .la files is a recipe for other disasters like the libogg
one.

If we manage to clean up all dependency_libs fields before the squeeze
release, we can then remove all .la files in squeeze+1 without breaking
anything in the meantime. I’ve requested to add something to fix this in
#534966 but have received no answer so far.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#539687; Package libogg-dev. (Sun, 16 Aug 2009 11:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 16 Aug 2009 11:03:07 GMT) Full text and rfc822 format available.

Message #111 received at 539687@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: debian-release <debian-release@lists.debian.org>
Cc: 539687@bugs.debian.org
Subject: List of remaining packages affected by the libogg.la removal
Date: Sun, 16 Aug 2009 13:01:45 +0200
[Message part 1 (text/plain, inline)]
Hi,

since the maintainers thinks he has nothing better to do than wasting
other maintainers’ time by leaving broken an unknown number of packages,
here is the list of packages known to be still affected (using today’s
i386 archive on merkel):

basket
libannodex0-dev
libaubio-dev
libaudiere-dev
libecasound2.2-dev
libflatzebra-dev
libfreej-dev
libiaxclient-dev
liblinphone-dev
libmediastreamer-dev
libosgal-dev
libplayerdrivers2-dev
libroboradio-dev
libsdl-mixer1.2-dev
libsdl-sound1.2-dev
libucil2-dev
libunicapgtk2-dev

Could anyone setup the appropriate binNMUs?

Ron, next time you plan on doing something similar without
synchronisation and without even taking the necessary actions to repair
your mess: please go to hell.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#539687; Package libogg-dev. (Sun, 16 Aug 2009 14:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 16 Aug 2009 14:30:12 GMT) Full text and rfc822 format available.

Message #116 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Josselin Mouette <joss@debian.org>, 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: List of remaining packages affected by the libogg.la removal
Date: Sun, 16 Aug 2009 23:59:15 +0930
On Sun, Aug 16, 2009 at 01:01:45PM +0200, Josselin Mouette wrote:
> please go to hell.

Thanks for that Joss.  You make an important point, I had completely
failed to mention obnoxious bastards among the groups there seemed
little point trying to coordinate anything usefully with in advance...

Thanks for playing your part to help make this picture complete again.

 o/ Ron






Information stored :
Bug#539687; Package libogg-dev. (Sun, 16 Aug 2009 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 16 Aug 2009 22:24:05 GMT) Full text and rfc822 format available.

Message #121 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ron <ron@debian.org>
Cc: 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: List of remaining packages affected by the libogg.la removal
Date: Mon, 17 Aug 2009 00:20:57 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 16 août 2009 à 23:59 +0930, Ron a écrit :
> On Sun, Aug 16, 2009 at 01:01:45PM +0200, Josselin Mouette wrote:
> > please go to hell.
> 
> Thanks for that Joss.  You make an important point, I had completely
> failed to mention obnoxious bastards among the groups there seemed
> little point trying to coordinate anything usefully with in advance...
> 
> Thanks for playing your part to help make this picture complete again.

So that’s it? You’re breaking other packages just to annoy people?
Thanks for making this clear.

My request stands.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#539687; Package libogg-dev. (Mon, 17 Aug 2009 06:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 17 Aug 2009 06:00:07 GMT) Full text and rfc822 format available.

Message #126 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: List of remaining packages affected by the libogg.la removal
Date: Mon, 17 Aug 2009 15:27:31 +0930
On Mon, Aug 17, 2009 at 12:20:57AM +0200, Josselin Mouette wrote:
> Le dimanche 16 août 2009 à 23:59 +0930, Ron a écrit :
> > On Sun, Aug 16, 2009 at 01:01:45PM +0200, Josselin Mouette wrote:
> > > please go to hell.
> > 
> > Thanks for that Joss.  You make an important point, I had completely
> > failed to mention obnoxious bastards among the groups there seemed
> > little point trying to coordinate anything usefully with in advance...
> > 
> > Thanks for playing your part to help make this picture complete again.
> 
> So that’s it? You’re breaking other packages just to annoy people?

If adopting abandoned packages on zero notice and trying to fix them up
annoys people, then sure.  But you probably shouldn't rule out that I'm
just a pawn in an elaborate conspiracy, carefully tailored to maximise
annoyance to you.

When that gets boring, you might like to have a look at the state of
some of the packages that got you so easily annoyed, and redirect your
bile in a more productive fashion.

Disregarding those that were already scheduled for binNMUs, here's a
quick sampling of what we're facing, in no particular order:

http://bugs.debian.org/465057
http://bugs.debian.org/505122
http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=iaxcomm
http://bugs.debian.org/530728
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=player
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=gnomoradio
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=sdl-mixer1.2
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=basket

There's plenty more where those came from, they're just some from
the packages that you highlighted.

> Thanks for making this clear.

I can't speak for you, but it sure annoys the hell out of me to have
these things rotting unattended to.  If you want to just hold your
nose and walk past them quickly, that's your choice, but don't accuse
me of being malintentioned by wanted them to be discovered and wanting
to see something done to fix that.

I'm certainly not going to adopt them all, and frankly, yeah I _don't_
give a shit about most of them.  But if nobody else does either, then
we should know that and remove them from the list of release candidates
for squeeze.  Pretending they are ok because you depend on them but
don't actually use them or know how broken or neglected they are is
simply NOT HELPFUL.

> My request stands.

Then when you get your irony detector fixed, save me a seat at the bar.

I'm genuinely grateful to you for providing at least the briefest of
summaries of the packages you care about that this has shaken out, even
if it was hastily cobbled together and contained duplicates and packages
that were already scheduled for a rebuild.  And genuinely sorry for any
inconvenience it caused you along the way.

But that doesn't change the facts on the ground, or excuse that your
first impulse was to be an ass about it.  If you want my respect, and
concern for your problems, then help fix the real problems in these libs,
and don't just fire cheap shots at the messenger who _is_ spending more
of their volunteer time trying to improve the situation.

kthxbye,
Ron






Information stored :
Bug#539687; Package libogg-dev. (Mon, 17 Aug 2009 08:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 17 Aug 2009 08:18:09 GMT) Full text and rfc822 format available.

Message #131 received at 539687-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ron <ron@debian.org>
Cc: 539687-quiet@bugs.debian.org
Subject: Re: Bug#539687: List of remaining packages affected by the libogg.la removal
Date: Mon, 17 Aug 2009 10:12:05 +0200
[Message part 1 (text/plain, inline)]
Le lundi 17 août 2009 à 15:27 +0930, Ron a écrit : 
> > So that’s it? You’re breaking other packages just to annoy people?
> 
> If adopting abandoned packages on zero notice and trying to fix them up
> annoys people, then sure.  But you probably shouldn't rule out that I'm
> just a pawn in an elaborate conspiracy, carefully tailored to maximise
> annoyance to you.

A conspiracy starts when there are several people, apparently you did
this alone.

> When that gets boring, you might like to have a look at the state of
> some of the packages that got you so easily annoyed, and redirect your
> bile in a more productive fashion.
> 
> Disregarding those that were already scheduled for binNMUs, here's a
> quick sampling of what we're facing, in no particular order:
[snip list of bugs]

This is absolutely irrelevant. You have broken all reverse dependencies
using libtool; whether they are correctly maintained or not. It’s ok to
fuck up sometimes, but when this happens, you fix your mess instead of
leaving other maintainers fix it on your place.

> I can't speak for you, but it sure annoys the hell out of me to have
> these things rotting unattended to.  If you want to just hold your
> nose and walk past them quickly, that's your choice, but don't accuse
> me of being malintentioned by wanted them to be discovered and wanting
> to see something done to fix that.

If you are annoyed by unmaintained packages – and so am I – there are
procedures for that. Report MIA maintainers, ask for packages to be
orphaned or removed from the archive. Breaking them is not the way to
go.

> I'm certainly not going to adopt them all, and frankly, yeah I _don't_
> give a shit about most of them.  But if nobody else does either, then
> we should know that and remove them from the list of release candidates
> for squeeze.  Pretending they are ok because you depend on them but
> don't actually use them or know how broken or neglected they are is
> simply NOT HELPFUL.

Oh don’t worry; those which matter will be fixed. But they will be fixed
at the price of a skilled person doing this instead of something more
useful for the Project.

> But that doesn't change the facts on the ground, or excuse that your
> first impulse was to be an ass about it.  If you want my respect, and
> concern for your problems, then help fix the real problems in these libs,
> and don't just fire cheap shots at the messenger who _is_ spending more
> of their volunteer time trying to improve the situation.

Oh, you’re really trying to improve it? Then why didn’t you provide this
list yourself, and earlier?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Sep 2009 07:58:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:42:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.